.text-image-overlap {
    background: #fff;
    padding-bottom: 30px;
}

.text-image-overlap__dark {
    background: #221b1b;
    padding: 105px 24px 0;
}
.text-image-overlap:before {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    height: 230px;
    background: #fff;
}
.text-image-overlap__inner {
    max-width: 1480px;
    margin: 0 auto;
}

.text-image-overlap__header {
    display: grid;
    grid-template-columns: 1fr 1.15fr;
    gap: 90px;
    align-items: start;
    margin-bottom: 78px;
}

.text-image-overlap__title {
    margin: 0;
    color: #fff;
    font-size: clamp(42px, 4.5vw, 64px);
    line-height: 1.08;
    font-family: "refrigerator-deluxe", sans-serif;
    text-transform: uppercase;
    font-weight: 900;
}

.text-image-overlap__content {
    max-width: 720px;
}

.text-image-overlap__text {
    color: #fff;
}

.text-image-overlap__text p {
    margin: 0 0 34px;
}

.text-image-overlap__button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    min-height: 54px;
    padding: 0 34px;
    border-radius: 999px;
    background: #ef3b1a;
    text-transform: uppercase;
    color: #fff;
    text-decoration: none;
    font-weight: 900;
    font-family: "refrigerator-deluxe", sans-serif;
}

.text-image-overlap__image-wrap {
    position: relative;
}

.text-image-overlap__image {
    width: 100%;
    height: 500px;
    object-fit: cover;
    display: block;
}

@media (max-width: 900px) {
    .text-image-overlap {
        padding-bottom: 70px;
    }

    .text-image-overlap__dark {
        padding-top: 72px;
    }

    .text-image-overlap__header {
        grid-template-columns: 1fr;
        gap: 32px;
        margin-bottom: 48px;
    }
    .text-image-overlap__image {
        height: 320px;
    }

}